import 'package:intl/intl.dart';

class Post {
  Post(this.title, this.content, this.author, this.community, this.trust,
      this.comments);
  final String title;
  final String content;
  final String author;
  final String community;
  final double trust;
  final int comments;

  String get effectiveTitle {
    if (title != null && title.isNotEmpty) return title;
    return content;
  }

  String get effectiveContent {
    if (content != null && content.isNotEmpty) return content;

    return title;
  }

  String get formattedTrustScore {
    NumberFormat format = NumberFormat("###.00");

    return format.format(trust*100)+"%";
  }
}
