import 'package:dashboard/ui/theme/color_holder.dart';
import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

class LoadingScreen extends StatelessWidget {
  final String message;

  LoadingScreen({this.message = "Loading..."});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: ColorHolder.color3,
      body: Center(
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            SpinKitRotatingCircle(
              color: ColorHolder.color2,
              size: 200.0,
            ),
            SizedBox(height: 16),
            Text(
              message,
              style: TextStyle(
                color: ColorHolder.color2,
                fontSize: 22,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
