import 'package:dashboard/exceptions/login_exception.dart';
import 'package:dashboard/loading.dart';
import 'package:dashboard/ui/graphs/community_meta/index.dart';
import 'package:dashboard/ui/sign_in/loginpage.dart';
import 'package:dashboard/util/loginhelper.dart';
import 'package:dashboard/util/user.dart';
import 'package:enhanced_future_builder/enhanced_future_builder.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(ArticonfDashboardDemo());
}

class ArticonfDashboardDemo extends StatefulWidget {
  @override
  _ArticonfDashboardDemoState createState() => _ArticonfDashboardDemoState();
}

class _ArticonfDashboardDemoState extends State<ArticonfDashboardDemo> {
  Future<BackendUser> _checkLoginStuff() async {
    try {
      return await LoginHelper().loggedInUser;
    } on LoginException {
      return null;
    }
  }

  @override
  Widget build(BuildContext context) {
    // ClusterGetter().getClusters();

    return MaterialApp(
      home: EnhancedFutureBuilder<BackendUser>(
        future: _checkLoginStuff(),
        whenNotDone: LoadingScreen(),
        rememberFutureResult: false,
        whenDone: (BackendUser snapshotData) {
          if (snapshotData == null) return LoginPage();
          return CommunityMetaGraphViewPage();
        },
      ),
    );
  }
}
