import 'package:flutter/material.dart';

class TrustScoreNode extends StatelessWidget {
  final String label;
  final double trustValue;
  final Color textColor;
  final IconData icon;

  TrustScoreNode(this.label, this.trustValue,
      {this.textColor = Colors.black, this.icon});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Row(
        children: [
          if (icon != null)
            Icon(
              icon,
              color: textColor,
            ),
          if (icon != null) SizedBox(width: 4),
          Expanded(
            child: Text(
              label,
              overflow: TextOverflow.ellipsis,
              style: TextStyle(
                fontWeight: FontWeight.bold,
                color: textColor,
              ),
            ),
          ),
          Text(
            (trustValue * 100).roundToDouble().toString() + "%",
            style: TextStyle(
              fontWeight: FontWeight.bold,
              color: Colors.green,
            ),
          ),
        ],
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
      ),
    );
  }
}
