import 'package:flutter/material.dart';

class LeftToRightTransition extends PageRouteBuilder {
  final Widget widget;

  LeftToRightTransition({@required this.widget})
      : super(
          transitionDuration: Duration(milliseconds: 500),
          pageBuilder: (context, animation, secondaryAnimation) => widget,
          transitionsBuilder: (BuildContext context,
              Animation<double> animation,
              Animation<double> secondaryAnimation,
              Widget child) {
            Animatable<Offset> tween = Tween(
              begin: Offset(-1, 0),
              end: Offset.zero,
            ).chain(
              CurveTween(curve: Curves.ease),
            );

            return SlideTransition(
              position: animation.drive(tween),
              child: child,
            );
          },
        );
}
